Create Binance Pay InvoiceAsk AIpost https://api.getorbital.io/crypto/deposit/invoice/binanceCreates invoice that enables customers to deposit payments through Binance Pay.Body ParamsINDIVIDUAL PAYER (PPDL - BINANCE PAY)CORPORATE PAYER (PPDL - BINANCE PAY)externalIdstringrequiredUnique ID for the transaction generated by the merchant. Each request requires a new externalId; reusing one is not allowed.currencystringrequiredThe cryptocurrency to be transferred by the payer. Accepted: USDT or USDCsourceAmountstringThe amount of cryptocurrency being sent.targetCurrencystringThe fiat currency in which the merchant will be credited. Accepted: USD, GBP, EUR. If targetCurrency is set, a crypto-fiat conversion occurs. If omitted, no conversion occurs, and the deposit is made in the cryptocurrency specified in the currency field. targetAmountstringAmount in targetCurrency that the merchant will receive after conversion.cashierCurrencystringenumThe currency in which the payer's balance is displayed on the merchant platform.USDAEDAUDBRLCADCHFCNYEURGBPHKDIDRINRJPYKRWMMKMYRPLNSGDTHBUSDVNDSOLARSPENMXNNZDKESCOPBDTGHSPHPPYGShow 31 enum valuescashierAmountstringAmount in cashierCurrency that is reflected on the payer's balance in the merchant platform.notifyUrlstringMerchant webhook URL to receive payment notifications.binanceIdstringPayer's Binance ID. (Required if Binance Pay Validation feature flag is enabled).firstNamestringrequiredlength ≤ 100Payer's first name.lastNamestringrequiredlength ≤ 100Payer's last name.dateOfBirthstringrequiredPayer's date of birth (YYYY-MM-DD).postcodestringlength ≤ 16Postal code of the payer's address.townNamestringlength ≤ 35Town of the payer's address.identificationTypestringenumrequiredThe four types of identification used for payer verification: personalDocument, placeOfBirth, fullAddress, and customerId.personalDocumentplaceOfBirthfullAddresscustomerIdAllowed:personalDocumentplaceOfBirthfullAddresscustomerIdplaceOfBirthstringlength ≤ 70Payer's place of birth. Required if identificationType is placeOfBirth.countryOfResidencestringThe country where the payer's resides (ISO-3166-1 alpha-2). Required if identificationType is fullAddress.streetNamestringlength ≤ 70Street name of the payer's address. Required if identificationType is fullAddress.buildingNumberstringlength ≤ 16Building number of the payer's address. Required if identificationType is fullAddress.documentNumberstringlength ≤ 35Identification document number. Required if identificationType is personalDocument.documentTypestringenumIdentification document. Required if identificationType is personalDocument.PassportARNUCCPTRAIDDRLCFIINTXIDSOCSIDCDLEIXShow 9 enum valuesdocumentCountryOfIssuestringThe country that issued the identification document (ISO-3166-1 alpha-2 code). Required if identificationType is personalDocument.customerIdstringlength ≤ 50The internal ID for the payer. Required if identificationType is customerId.personTypestringDefaults to naturalPersonIndicates the type of payer. Can be naturalPerson or legalPerson.Responses 200Successful creation of the Binance Pay deposit invoice. Returns details and payment links (QR code/deeplink). 400Validation error - missing required fields. 401Unauthorized – Missing or invalid API key. 500Internal server error. This can be caused by duplicate externalId, missing account permissions or unexpected server-side issues.Updated 8 months ago